Đến nội dung


Hình ảnh

layer chỉ dành cho dim kích thước


  • Please log in to reply
12 replies to this topic

#1 kien089

kien089

    biết zoom

  • Members
  • Pip
  • 18 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 16 April 2010 - 10:02 PM

mọi người ơi vào đâu để mặc định dim kích thước khi dùng luôn chỉ là 1 layer ko?
  • -1

#2 oizdoi_oi

oizdoi_oi

    biết dimlinear

  • Members
  • PipPipPipPipPip
  • 306 Bài viết
Điểm đánh giá: 452 (tốt)

Đã gửi 16 April 2010 - 10:23 PM

mọi người ơi vào đâu để mặc định dim kích thước khi dùng luôn chỉ là 1 layer ko?

theo mình việc để mặc định dim kích thước khi dùng luôn chỉ là 1 layer ko cần thiết lắm đâu
mình toàn đặt 1 layer tên là dim. khi triển khai bản vẽ trên bất kì một layer nào bạn cứ dim thoải mái bét nhè chi chít đi
đến khi finish bản vẽ bạn chỉ cần 1 động tác là dùng lệnh Fi -> Dimension rồi đặt về 1 layer là OK
đỡ lằng nhằng mà không phải chú ý chuyển về layer mỗi khi Dim
với lệnh Fi mình cũng hay ứng dụng mỗi khi hatch nhiều, tức là cứ hatch thoải mái rồi cuối cùng mới dùng Fi chọn hatch rồi đặt về layer cần đặt là hatch. OK
  • 3
KTS không bao giờ chết đói...mà chỉ đói đến lúc chết!

#3 kien089

kien089

    biết zoom

  • Members
  • Pip
  • 18 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 17 April 2010 - 09:38 AM

câu trả lời này hay quá.
  • 0

#4 new member

new member

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 17 April 2010 - 10:18 AM

theo mình việc để mặc định dim kích thước khi dùng luôn chỉ là 1 layer ko cần thiết lắm đâu
mình toàn đặt 1 layer tên là dim. khi triển khai bản vẽ trên bất kì một layer nào bạn cứ dim thoải mái bét nhè chi chít đi
đến khi finish bản vẽ bạn chỉ cần 1 động tác là dùng lệnh Fi -> Dimension rồi đặt về 1 layer là OK
đỡ lằng nhằng mà không phải chú ý chuyển về layer mỗi khi Dim
với lệnh Fi mình cũng hay ứng dụng mỗi khi hatch nhiều, tức là cứ hatch thoải mái rồi cuối cùng mới dùng Fi chọn hatch rồi đặt về layer cần đặt là hatch. OK

a hướng dẫn cụ thể hơn dc ko?dùng lệnh fi--> hộp thoại selection filter e ko biết chọn ntn mới đặt các đường dim về 1 layer dc. júp e nhé!
  • 0

#5 Phiphi-

Phiphi-

    biết lệnh minsert

  • Members
  • PipPipPipPipPipPip
  • 434 Bài viết
Điểm đánh giá: 175 (tàm tạm)

Đã gửi 17 April 2010 - 10:28 AM

Free Lisp from CadViet

;; free lisp from cadviet.com
;;Chuc Nang : Chuyen Duong Kick Thuoc vao 1 lop- Lenh 1d
;;
(Defun C:1dS ( ) (princ "\nChuyen doi tuong Dim vao 1 layer:")
  (Setq lis (Ssget '((0 . "Dimension"))))
(command "_layer" "make" "Dims" "c" "1" "" "l" "continuous" "" ""  )
(command  ".Chprop" "p" "" "La" "Dims" "c" "Bylayer" "")
(princ))
;;***************************************************
;;Chuc Nang : Chuyen hatch vao 1 lop- Lenh 1h
;;
(Defun C:1hS ( );
(princ "\nChuyen doi tuong Hatch vao 1 layer:")
  (Setq lis (Ssget '((0 . "hatch"))))
(command "_layer" "make" "Hatch" "c" "7" "" "l" "continuous" "" ""  )
(command  ".Chprop" "p" "" "La" "Hatch" "c" "Bylayer" "")
(princ));;***************************************************
;;Chuc Nang : Chuyen block vao 1 lop- Lenh 1b
;;
(Defun C:1bS ( );
(princ "\nChuyen doi tuong Block vao 1 layer:")
  (Setq lis (Ssget '((0 . "block"))))
(command "_layer" "make" "Block" "c" "1" "" "l" "continuous" "" ""  )
(command  ".Chprop" "p" "" "La" "Block" "c" "Bylayer" "")
(princ))
;;***************************************************
;;Chuc Nang : Chuyen chu va so vao 1 lop- Lenh 1t
;;
(Defun C:1tS ( ) (princ "\nChuyen doi tuong Text vao 1 layer:")
  (Setq lis (Ssget '((0 . "text"))))
(command "_layer" "make" "Text" "c" "3" "" "l" "continuous" "" ""  )
(command  ".Chprop" "p" "" "La" "Text" "c" "Bylayer" "")
(princ))

;;; Tao Layer co mau:
(defun M_Lay_c(layr_name color / tbl t1 t2 key)
(setvar "Cmdecho" 0)
   (setq tbl(tblnext "LAYER" 1))
   (while tbl
      (setq t1(strcase layr_name) t2 (cdr(car(cdr tbl))) )
      (if (equal t1 t2) (setq key 1))  
      (setq tbl(tblnext "LAYER"))
   )  
   (if(/= key 1)
      (progn (setq tbl NIL )
         (command "_.LAYER" "N" layr_name "C" color layr_name "" )
         (princ (strcat "\nLayer "layr_name".... was created."))
      )
   )
   (setq layr_name NIL)
   (princ)
)


;;; Chuyen toan bo cac doi tuong ve Layer tuong ung voi mau:
(defun C:1c (/ op_ccl sl_op op_find cl_find en_find)
(setvar "Cmdecho" 0)
(setq op_ccl(ssget "X"))
(if op_ccl
     (progn
      (setq sl_op (sslength op_ccl) next_op 0)
      (while (< next_op sl_op)
          (setq op_find(ssname op_ccl next_op)
                en_find(entget op_find)
                cl_find(cdr(assoc 62 en_find)) )
          (if (and (numberp cl_find) (< cl_find 256))
              (progn (M_lay_c (itoa cl_find) cl_find)
                     (command "_.Chprop" op_find "" "LA" (itoa cl_find)
                                                     "C" "Bylayer" "")
              )
          )
          (setq next_op(+ next_op 1) cl_find NIL en_find NIL)
      )
      (setq next_op NIL cl_find NIL)
     )
)
(princ)
)

  • 0

#6 oizdoi_oi

oizdoi_oi

    biết dimlinear

  • Members
  • PipPipPipPipPip
  • 306 Bài viết
Điểm đánh giá: 452 (tốt)

Đã gửi 17 April 2010 - 10:37 AM

a hướng dẫn cụ thể hơn dc ko?dùng lệnh fi--> hộp thoại selection filter e ko biết chọn ntn mới đặt các đường dim về 1 layer dc. júp e nhé!

bạn tìm trên diễn đàn đi
từ khoá la Filter chăc là ok
  • 0
KTS không bao giờ chết đói...mà chỉ đói đến lúc chết!

#7 new member

new member

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 17 April 2010 - 10:58 AM

E dã cài file lisp của bác phiphi nhưng khi đổi màu các đường dim về 1 layer e vẫn fải chọn từng đường,như vậy vừa lâu vừa dễ bị thiếu sót. hay e đã làm sai? a chỉ júp e với!
  • 1

#8 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 17 April 2010 - 11:21 AM

E dã cài file lisp của bác phiphi nhưng khi đổi màu các đường dim về 1 layer e vẫn fải chọn từng đường,như vậy vừa lâu vừa dễ bị thiếu sót. hay e đã làm sai? a chỉ júp e với!

Bạn cứ mạnh dạn chọn tất cả bản vẽ lisp sẽ tự lọc ra các đối tượng dim!
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#9 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 17 April 2010 - 11:53 AM

......
......
;;Chuc Nang : Chuyen block vao 1 lop- Lenh 1b
;;
(Defun C:1bS ( );
(princ "\nChuyen doi tuong Block vao 1 layer:")
(Setq lis (Ssget '((0 . "block"))))
(command "_layer" "make" "Block" "c" "1" "" "l" "continuous" "" ""  )
(command  ".Chprop" "p" "" "La" "Block" "c" "Bylayer" "")
(princ))
;;***************************************************

Đoạn CodeLisp của Phiphi post lên bị lỗi 1 chổ :
(Setq lis (Ssget '((0 . "block"))))
-> Phải sửa lại là :
(Setq lis (Ssget '((0 . "INSERT")))) thì mới đúng.

Hơn nữa, các đối tượng phải được chọn trong Lisp thì thực thi lệnh còn nếu như User kkhông chọn đối tượng nào cả thì vô tình các đối tượng được chọn trước đó sẽ bị gán vào Layer. Đây là điều không mong muốn của người sử dụng và là điểm bất cập của Lisp trên

Mình ủng hộ sử dụng lệnh Fiter hoặc Quick Select của CAD. Nó khá nhanh đấy chứ?
  • 0

#10 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 17 April 2010 - 12:06 PM

Đoạn CodeLisp của Phiphi post lên bị lỗi 1 chổ :
(Setq lis (Ssget '((0 . "block"))))
-> Phải sửa lại là :
(Setq lis (Ssget '((0 . "INSERT")))) thì mới đúng.

Hơn nữa, các đối tượng phải được chọn trong Lisp thì thực thi lệnh còn nếu như User kkhông chọn đối tượng nào cả thì vô tình các đối tượng được chọn trước đó sẽ bị gán vào Layer. Đây là điều không mong muốn của người sử dụng và là điểm bất cập của Lisp trên

Mình ủng hộ sử dụng lệnh Fiter hoặc Quick Select của CAD. Nó khá nhanh đấy chứ?

Đây là đoạn tương tự có phần nếu như mà là thì.

(Defun Ckt ( )
(princ "\nPHAM QUOC DUY Binh Son - Quang ngai")

(Princ "\nHay chon vung :")
(setq xx (ssget '((0 . "dimension"))))

(if (Null xx)
(princ "\nKhong tim thay doi tuong nao")
)
(IF (/= NIL xx) (PROGN


(command "-layer" "new" "Duongkt" "color" "9" "Duongkt" "")
(princ "\nDang thuc hien ...............................")
(command "change" xx "" "Properties" "la" "Duongkt" "")
)
)
(princ "\nChuyen doi xong")
(Princ)
)

  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#11 Phiphi-

Phiphi-

    biết lệnh minsert

  • Members
  • PipPipPipPipPipPip
  • 434 Bài viết
Điểm đánh giá: 175 (tàm tạm)

Đã gửi 17 April 2010 - 08:05 PM

PP xin đính chánh rẳng Lisp trên không phải do PP viết đâu nhé.
Lisp nảy đã có sẳn trên CadViet.com. Cheers!
  • 0

#12 tamtron

tamtron

    biết vẽ arc

  • Members
  • PipPip
  • 49 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 17 April 2010 - 10:53 PM

mọi người ơi vào đâu để mặc định dim kích thước khi dùng luôn chỉ là 1 layer ko?


bạn quá lệ thuộc vào lisp trong khi cad đã có sẵn lệnh filter.
  • 0

#13 duydo

duydo

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 28 August 2014 - 04:30 PM

em cũng muốn biết như bác kien089 (vào đâu để mặc định dim kích thước khi dùng luôn chỉ là 1 layer ko). các bác chỉ dân thêm nhé


  • 0